#include <time.h>
#include <iostream>

#define TRACEPOINT_DEFINE
#include "ust_motion.h"

extern "C" void main_loop(unsigned int stop)
{
    timespec period, req;
    period.tv_sec = 0;
    period.tv_nsec = 100000L; // 100 ms
    for (unsigned int i=0; i<stop; ++i)
    {
        if (i % 100 == 0)
            std::cout << i << std::endl;
        tracepoint(motion, before_sleep);
        req = period;
        while (nanosleep(&req, &req))
        {
            continue;
        }
        tracepoint(motion, after_sleep);
    }
}
