#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER motion

#if !defined(_TRACEPOINT_UST_MOTION_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _TRACEPOINT_UST_MOTION_H

#ifdef __cplusplus
extern "C" {
#endif


#include <lttng/tracepoint.h>

TRACEPOINT_EVENT(motion, before_sleep,
        TP_ARGS(),
        TP_FIELDS()
)

TRACEPOINT_EVENT(motion, after_sleep,
        TP_ARGS(),
        TP_FIELDS()
)
#endif /* _TRACEPOINT_UST_MOTION_H */

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./ust_motion.h

/* This part must be outside ifdef protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif

